var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, customElement, html, nothing, property } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../lit-element/index.js';
let UmbEntitySignIconElement = class UmbEntitySignIconElement extends UmbLitElement {
    render() {
        return this.manifest
            ? html `<umb-icon
					.name=${this.manifest.meta.iconName ?? 'icon-circle-dotted'}
					.color=${this.manifest.meta.iconColorAlias}></umb-icon>`
            : nothing;
    }
    static { this.styles = [
        css `
			umb-icon {
				filter: drop-shadow(-1px 0 0 var(--umb-sign-bundle-bg)) drop-shadow(0 -1px 0 var(--umb-sign-bundle-bg))
					drop-shadow(0 1px 0 var(--umb-sign-bundle-bg));
			}
			umb-icon::before {
				content: '';
				position: absolute;
				z-index: -1;
				border-radius: 50%;
				inset: 2px;
				background-color: var(--umb-sign-bundle-bg);
			}
		`,
    ]; }
};
__decorate([
    property({ type: Object, attribute: false })
], UmbEntitySignIconElement.prototype, "manifest", void 0);
UmbEntitySignIconElement = __decorate([
    customElement('umb-entity-sign-icon')
], UmbEntitySignIconElement);
export { UmbEntitySignIconElement };
export { UmbEntitySignIconElement as element };
